<?php
/**
 * @package     Joomla.Site
 * @subpackage  Templates.reBase
 *
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;

JHtml::_('bootstrap.framework');
JHtml::_('jquery.framework');
#JHtml::_('jquery.ui');
JHtml::_('bootstrap.loadCss', true, $this->direction);

$app = JFactory::getApplication();
$tmpl = JFactory::getApplication()->getTemplate(true);
include_once(JPATH_SITE.DIRECTORY_SEPARATOR."templates".DIRECTORY_SEPARATOR.$this->template.DIRECTORY_SEPARATOR."redim_templatehelper.php");
$css=JRequest::getString("css","");

$params = JFactory::getApplication()->getTemplate(true)->params;
$logo = $params->get('logoselect',$this->baseurl.'/templates/'.$this->template.'/images/logo.png');

//get language and direction
$doc = JFactory::getDocument();
$this->language = $doc->language;
$this->direction = $doc->direction;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title><?php echo $this->error->getCode(); ?>-<?php echo htmlspecialchars($this->error->getMessage()); ?></title>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/error.css" type="text/css" />
<?php
$debug = JFactory::getConfig()->get('debug_lang');
if (JDEBUG || $debug) : ?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/media/cms/css/debug.css" type="text/css" />
<?php endif; ?>
<!--[if lt IE 9]>
<script src="<?php echo $this->baseurl ?>/media/jui/js/html5.js"></script>
<![endif]-->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/?css=bootstrap-overwrite;template;mainmenu;responsive;template-overwrite" type="text/css" />

</head>
<body class="error">
<a href="/" title="<?php echo $app->getCfg('sitename'); ?>">
<img id="logo" class="error" src="<?php echo $logo; ?>" alt="<?php echo $app->getCfg('sitename'); ?>" title="<?php echo $app->getCfg('sitename'); ?>" />
</a>
<h1>#<?php echo $this->error->getCode(); ?>&nbsp;<?php echo $this->error->getMessage();?></h1>  
<h2><?php echo JText::_('JERROR_LAYOUT_PAGE_NOT_FOUND'); ?></h2>
<p><strong><?php echo JText::_('JERROR_LAYOUT_NOT_ABLE_TO_VISIT'); ?></strong></p>
<ul>
  <li><?php echo JText::_('JERROR_LAYOUT_AN_OUT_OF_DATE_BOOKMARK_FAVOURITE'); ?></li>
  <li><?php echo JText::_('JERROR_LAYOUT_MIS_TYPED_ADDRESS'); ?></li>
  <li><?php echo JText::_('JERROR_LAYOUT_SEARCH_ENGINE_OUT_OF_DATE_LISTING'); ?></li>
  <li><?php echo JText::_('JERROR_LAYOUT_YOU_HAVE_NO_ACCESS_TO_THIS_PAGE'); ?></li>
</ul>
<p>
<a href="<?php echo $this->baseurl; ?>/index.php" title="<?php echo JText::_('JERROR_LAYOUT_GO_TO_THE_HOME_PAGE'); ?>"><?php echo JText::_('JERROR_LAYOUT_HOME_PAGE'); ?></a>
</p>
<?php if ($this->debug) {
echo $this->renderBacktrace();
} ?>
</body>
</html>